/**
 * DevExtreme (renovation/ui/scheduler/utils/semaphore/semaphore.js)
 * Version: 23.2.4 (build 24056-0112)
 * Build date: Sun Feb 25 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.Semaphore = void 0;
let Semaphore = function() {
    function Semaphore() {
        this.counter = 0
    }
    var _proto = Semaphore.prototype;
    _proto.isFree = function() {
        return 0 === this.counter
    };
    _proto.take = function() {
        this.counter += 1
    };
    _proto.release = function() {
        this.counter -= 1;
        if (this.counter < 0) {
            this.counter = 0
        }
    };
    return Semaphore
}();
exports.Semaphore = Semaphore;
